Index: /branches/version-2_5-dev/html/install/sql/insert_data.sql
===================================================================
--- /branches/version-2_5-dev/html/install/sql/insert_data.sql	(revision 19961)
+++ /branches/version-2_5-dev/html/install/sql/insert_data.sql	(revision 19966)
@@ -681,5 +681,7 @@
 INSERT INTO dtb_site_control (control_id, control_title, control_text, control_flg, del_flg, memo, create_date, update_date) VALUES (1, 'トラックバック機能', 'トラックバック機能を使用するかどうかを決定します。', 2, 0, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
 
-INSERT INTO dtb_templates (template_code, template_name, create_date, update_date) VALUES ('default', 'デフォルト', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
+INSERT INTO dtb_templates (template_code, device_type_id, template_name, create_date, update_date) VALUES ('default', 10, 'デフォルト', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
+INSERT INTO dtb_templates (template_code, device_type_id, template_name, create_date, update_date) VALUES ('mobile', 1, 'モバイル', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
+INSERT INTO dtb_templates (template_code, device_type_id, template_name, create_date, update_date) VALUES ('sphone', 2, 'スマートフォン', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
 
 INSERT INTO mtb_allowed_tag (id, name, rank) VALUES (0, 'table', 0);
@@ -1226,13 +1228,15 @@
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('NOSTOCK_HIDDEN', 'false', 291, '在庫無し商品の非表示(true:非表示、false:表示)');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('USE_MOBILE', 'true', 292, 'モバイルサイトを利用するか(true:利用する、false:利用しない) (false は一部対応)');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('DEFAULT_TEMPLATE_NAME', '"default"', 300, 'デフォルトテンプレート名');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('TEMPLATE_NAME', '"default"', 301, 'テンプレート名');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('MOBILE_TEMPLATE_NAME', '"mobile"', 302, 'モバイルテンプレート名');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('SMARTPHONE_TEMPLATE_NAME', '"sphone"', 303, 'スマートフォンテンプレート名');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('SMARTY_TEMPLATES_REALDIR', ' DATA_REALDIR . "Smarty/templates/"', 304, 'SMARTYテンプレート');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('TEMPLATE_REALDIR', 'SMARTY_TEMPLATES_REALDIR . TEMPLATE_NAME . "/"', 305, 'SMARTYテンプレート(PC)');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('TEMPLATE_ADMIN_REALDIR', 'SMARTY_TEMPLATES_REALDIR . "admin/"', 306, 'SMARTYテンプレート(管理機能)');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('COMPILE_DIR', 'DATA_REALDIR . "Smarty/templates_c/" . TEMPLATE_NAME . "/"', 307, 'SMARTYコンパイル');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('COMPILE_ADMIN_REALDIR', 'DATA_REALDIR . "Smarty/templates_c/admin/"', 308, 'SMARTYコンパイル(管理機能)');
+INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('DEFAULT_TEMPLATE_NAME', '"default"', 300, 'デフォルトテンプレート名(PC)');
+INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('SMARTPHONE_DEFAULT_TEMPLATE_NAME', '"mobile"', 301, 'デフォルトテンプレート名(モバイル)');
+INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('MOBILE_DEFAULT_TEMPLATE_NAME', '"sphone"', 302, 'デフォルトテンプレート名(スマートフォン)');
+INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('TEMPLATE_NAME', '"default"', 303, 'テンプレート名');
+INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('MOBILE_TEMPLATE_NAME', '"mobile"', 304, 'モバイルテンプレート名');
+INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('SMARTPHONE_TEMPLATE_NAME', '"sphone"', 305, 'スマートフォンテンプレート名');
+INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('SMARTY_TEMPLATES_REALDIR', ' DATA_REALDIR . "Smarty/templates/"', 306, 'SMARTYテンプレート');
+INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('TEMPLATE_REALDIR', 'SMARTY_TEMPLATES_REALDIR . TEMPLATE_NAME . "/"', 307, 'SMARTYテンプレート(PC)');
+INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('TEMPLATE_ADMIN_REALDIR', 'SMARTY_TEMPLATES_REALDIR . "admin/"', 308, 'SMARTYテンプレート(管理機能)');
+INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('COMPILE_DIR', 'DATA_REALDIR . "Smarty/templates_c/" . TEMPLATE_NAME . "/"', 309, 'SMARTYコンパイル');
+INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('COMPILE_ADMIN_REALDIR', 'DATA_REALDIR . "Smarty/templates_c/admin/"', 310, 'SMARTYコンパイル(管理機能)');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('BLOC_DIR', '"frontparts/bloc/"', 311, 'ブロックファイル保存先');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('MOBILE_TEMPLATE_REALDIR', 'SMARTY_TEMPLATES_REALDIR . MOBILE_TEMPLATE_NAME . "/"', 312, 'SMARTYテンプレート(mobile)');
Index: /branches/version-2_5-dev/html/install/sql/create_table_mysql.sql
===================================================================
--- /branches/version-2_5-dev/html/install/sql/create_table_mysql.sql	(revision 19958)
+++ /branches/version-2_5-dev/html/install/sql/create_table_mysql.sql	(revision 19966)
@@ -880,4 +880,5 @@
 CREATE TABLE dtb_templates (
     template_code varchar(50) NOT NULL,
+    device_type_id int NOT NULL,
     template_name text,
     create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
Index: /branches/version-2_5-dev/html/install/sql/create_table_pgsql.sql
===================================================================
--- /branches/version-2_5-dev/html/install/sql/create_table_pgsql.sql	(revision 19958)
+++ /branches/version-2_5-dev/html/install/sql/create_table_pgsql.sql	(revision 19966)
@@ -882,4 +882,5 @@
 CREATE TABLE dtb_templates (
     template_code text NOT NULL,
+    device_type_id int NOT NULL,
     template_name text,
     create_date timestamp NOT NULL DEFAULT now(),
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php	(revision 19807)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php	(revision 19966)
@@ -53,5 +53,4 @@
         $this->arrErr  = array();
         $this->arrForm = array();
-        $this->tpl_select = TEMPLATE_NAME;
         ini_set("max_execution_time", 300);
     }
@@ -76,102 +75,106 @@
     function action() {
         // 認証可否の判定
-            $objSession = new SC_Session();
-            SC_Utils::sfIsSuccess($objSession);
-
-            // uniqidをテンプレートへ埋め込み
-            $this->uniqid = $objSession->getUniqId();
-
-            $objView = new SC_AdminView();
-
-            switch($this->lfGetMode()) {
+        $objSession = new SC_Session();
+        SC_Utils::sfIsSuccess($objSession);
+
+        // 端末種別IDを取得
+        if (isset($_REQUEST['device_type_id'])
+            && is_numeric($_REQUEST['device_type_id'])) {
+            $device_type_id = $_REQUEST['device_type_id'];
+        } else {
+            $device_type_id = DEVICE_TYPE_PC;
+        }
+
+        $this->tpl_select = $this->getTemplateName($device_type_id);
+
+        // uniqidをテンプレートへ埋め込み
+        $this->uniqid = $objSession->getUniqId();
+
+        $objView = new SC_AdminView();
+
+        switch($this->lfGetMode()) {
 
             // 登録ボタン押下時
-            case 'register':
-                // 画面遷移の正当性チェック
-                if (!SC_Utils::sfIsValidTransition($objSession)) {
-                    sfDispError('');
-                }
-                // パラメータ検証
-                $objForm = $this->lfInitRegister();
-                if ($objForm->checkError()) {
-                    SC_Utils_Ex::sfDispError('');
-                }
-
-                $template_code = $objForm->getValue('template_code');
-                $this->tpl_select = $template_code;
-
-                if($template_code == "") {
-                    $template_code = "default";
-                }
-
-                // DBへ使用するテンプレートを登録
-                $this->lfRegisterTemplate($template_code);
-
-                // XXX コンパイルファイルのクリア処理を行う
-                $objView->_smarty->clear_compiled_tpl();
-
-                // common.cssの内容を更新
-                $this->lfChangeCommonCss($template_code);
+        case 'register':
+            // 画面遷移の正当性チェック
+            if (!SC_Utils::sfIsValidTransition($objSession)) {
+                sfDispError('');
+            }
+            // パラメータ検証
+            $objForm = $this->lfInitRegister();
+            if ($objForm->checkError()) {
+                SC_Utils_Ex::sfDispError('');
+            }
+
+            $template_code = $objForm->getValue('template_code');
+            $this->tpl_select = $template_code;
+
+            if($template_code == "") {
+                $template_code = $this->getTemplateName($device_type_id, true);
+            }
+
+            // DBへ使用するテンプレートを登録
+            $this->lfRegisterTemplate($template_code);
+
+            // XXX コンパイルファイルのクリア処理を行う
+            $objView->_smarty->clear_compiled_tpl();
+
+            // ブロック位置を更新
+            $this->lfChangeBloc($template_code);
+
+            // 完了メッセージ
+            $this->tpl_onload="alert('登録が完了しました。');";
+            break;
+
+            // 削除ボタン押下時
+        case 'delete':
+            // 画面遷移の正当性チェック
+            if (!SC_Utils::sfIsValidTransition($objSession)) {
+                SC_Utils::sfDispError('');
+            }
+            // パラメータ検証
+            $objForm = $this->lfInitDelete();
+            if ($objForm->checkError()) {
+                SC_Utils::sfDispError('');
+            }
                 
-                // テンプレートのコピー
-                $this->lfCopyTemplate($template_code);
-                
-                // ブロック位置を更新
-                $this->lfChangeBloc($template_code);
-
-                // 完了メッセージ
-                $this->tpl_onload="alert('登録が完了しました。');";
+            //現在使用中のテンプレートとデフォルトのテンプレートは削除できないようにする
+            $template_code = $objForm->getValue('template_code_temp');
+            if ($template_code == $this->getTemplateName($device_type_id)
+                || $template_code == $this->getTemplateName($device_type_id, true)) {
+                $this->tpl_onload = "alert('デフォルトテンプレートと、選択中のテンプレートは削除出来ません');";
                 break;
-
-            // 削除ボタン押下時
-            case 'delete':
-                // 画面遷移の正当性チェック
-                if (!SC_Utils::sfIsValidTransition($objSession)) {
-                    SC_Utils::sfDispError('');
-                }
-                // パラメータ検証
-                $objForm = $this->lfInitDelete();
-                if ($objForm->checkError()) {
-                    SC_Utils::sfDispError('');
-                }
-                
-                //現在使用中のテンプレートとデフォルトのテンプレートは削除できないようにする
-                $template_code = $objForm->getValue('template_code_temp');
-                if ($template_code == TEMPLATE_NAME || $template_code == DEFAULT_TEMPLATE_NAME) {
-                    $this->tpl_onload = "alert('選択中のテンプレートは削除出来ません');";
-                    break;
-                }
-                $this->lfDeleteTemplate($template_code);
-                break;
+            }
+            $this->lfDeleteTemplate($template_code);
+            break;
 
             // downloadボタン押下時
-            case 'download':
-                // 画面遷移の正当性チェック
-                if (!SC_Utils::sfIsValidTransition($objSession)) {
-                    SC_Utils::sfDispError('');
-                }
-                // パラメータ検証
-                $objForm = $this->lfInitDownload();
-                $template_code = $objForm->getValue('template_code_temp');
-                // ユーザデータの下のファイルも保存する。
-                $from_dir = USER_TEMPLATE_REALDIR . $template_code . "/";
-                $to_dir = SMARTY_TEMPLATES_REALDIR . $template_code . "/_packages/";
-                SC_Utils::sfMakeDir($to_dir);
-                SC_Utils::sfCopyDir($from_dir, $to_dir);
-                SC_Helper_FileManager::downloadArchiveFiles(SMARTY_TEMPLATES_REALDIR . $template_code);
-                break;
+        case 'download':
+            // 画面遷移の正当性チェック
+            if (!SC_Utils::sfIsValidTransition($objSession)) {
+                SC_Utils::sfDispError('');
+            }
+            // パラメータ検証
+            $objForm = $this->lfInitDownload();
+            $template_code = $objForm->getValue('template_code_temp');
+            // ユーザデータの下のファイルも保存する。
+            $from_dir = USER_TEMPLATE_REALDIR . $template_code . "/";
+            $to_dir = SMARTY_TEMPLATES_REALDIR . $template_code . "/_packages/";
+            SC_Utils::sfMakeDir($to_dir);
+            SC_Utils::sfCopyDir($from_dir, $to_dir);
+            SC_Helper_FileManager::downloadArchiveFiles(SMARTY_TEMPLATES_REALDIR . $template_code);
+            break;
 
             // プレビューボタン押下時
-            case 'preview':
-                break;
-
-            default:
-                break;
-            }
-
-            // defaultパラメータのセット
-            $this->templates = $this->lfGetAllTemplates();
-            $this->now_template = TEMPLATE_NAME;
-            $this->device_type_id = $device_type_id;
+        case 'preview':
+            break;
+
+        default:
+            break;
+        }
+
+        $this->templates = $this->lfGetAllTemplates($device_type_id);
+        $this->now_template = TEMPLATE_NAME;
+        $this->device_type_id = $device_type_id;
     }
 
@@ -225,8 +228,21 @@
      * 使用するテンプレートをDBへ登録する
      */
-    function lfRegisterTemplate($template_code) {
+    function lfRegisterTemplate($template_code, $device_type_id) {
         $masterData = new SC_DB_MasterData_Ex();
 
-        $data = array('TEMPLATE_NAME' => var_export($template_code, TRUE));
+        $defineName = 'TEMPLATE_NAME';
+        switch ($device_type_id) {
+        case DEVICE_TYPE_MOBILE:
+            $defineName = 'MOBILE_' . $defineName;
+            break;
+
+        case DEVICE_TYPE_SMARTPHONE:
+            $defineName = 'SMARTPHONE_' . $defineName;
+            break;
+        case DEVICE_TYPE_PC:
+        default:
+        }
+
+        $data = array($defineName => var_export($template_code, TRUE));
 
         // DBのデータを更新
@@ -236,24 +252,4 @@
         $masterData->createCache('mtb_constants', array(), true, array('id', 'remarks'));
     }
-
-    /**
-     * common.cssの更新
-     */
-    function lfChangeCommonCss($template_code) {
-        $css_path = USER_REALDIR . "css/common.css";
-        
-        // ファイル内容取得
-        $css_data = file_get_contents($css_path);
-        
-        // ファイル内容更新
-        $pt = '/(@import url\("\.\.\/packages\/.+\/css\/import\.css"\);)/';
-        $rp = '@import url("../packages/'. $template_code. '/css/import.css");';
-        $css = preg_replace($pt, $rp, $css_data);
-        
-        // ファイル更新
-        $fp = fopen($css_path,"w");
-        fwrite($fp, $css);
-        fclose($fp);
-    }
     
     /**
@@ -262,5 +258,8 @@
     function lfChangeBloc($template_code) {
         $objQuery = new SC_Query();
-        $filepath = USER_TEMPLATE_REALDIR. $template_code. "/sql/update_bloc.sql";
+        /*
+         * FIXME 各端末に合わせて作成する必要あり
+         * $filepath = USER_TEMPLATE_REALDIR. $template_code. "/sql/update_bloc.sql";
+         */
         
         // ブロック位置更新SQLファイル有
@@ -299,7 +298,7 @@
     }
 
-    function lfGetAllTemplates() {
+    function lfGetAllTemplates($device_type_id) {
         $objQuery = new SC_Query();
-        $arrRet = $objQuery->select('*', 'dtb_templates');
+        $arrRet = $objQuery->select('*', 'dtb_templates', "device_type_id = ?", array($device_type_id));
         if (empty($arrRet)) return array();
 
@@ -307,66 +306,4 @@
     }
 
-   /*
-     * 関数名：lfCreateTemplate()
-     * 引数1 ：ディレクトリパス
-     * 引数2 ：作成ファイル名
-     * 説明　：キャンペーンの初期テンプレート作成
-     * 戻り値：無し
-     */
-    function lfCreateTemplate($dir, $file , $cart_flg) {
-        umask(0);
-        $objFileManager = new SC_Helper_FileManager_Ex();
-        
-        // 作成ファイルディレクトリ
-        $create_dir = $dir . $file;
-        $create_active_dir = $create_dir . "/" . CAMPAIGN_TEMPLATE_ACTIVE;
-        $create_end_dir = $create_dir . "/" . CAMPAIGN_TEMPLATE_END;
-        // デフォルトファイルディレクトリ
-        $default_dir = TEMPLATE_REALDIR . CAMPAIGN_TEMPLATE_REALDIR;
-        $default_active_dir = $default_dir . "/" . CAMPAIGN_TEMPLATE_ACTIVE;
-        $default_end_dir = $default_dir . "/" . CAMPAIGN_TEMPLATE_END;
-
-        $ret = $objFileManager->sfCreateFile($create_dir, 0755);
-        $ret = $objFileManager->sfCreateFile($create_active_dir, 0755);
-        $ret = $objFileManager->sfCreateFile($create_end_dir, 0755);
-
-        // キャンペーン実行PHPをコピー
-        $ret = $objFileManager->sfCreateFile(CAMPAIGN_PATH . $file);
-        copy(HTML_REALDIR . CAMPAIGN_TEMPLATE_REALDIR . "index.php", CAMPAIGN_PATH . $file . "/index.php");
-        copy(HTML_REALDIR . CAMPAIGN_TEMPLATE_REALDIR . "application.php", CAMPAIGN_PATH . $file . "/application.php");
-        copy(HTML_REALDIR . CAMPAIGN_TEMPLATE_REALDIR . "complete.php", CAMPAIGN_PATH . $file . "/complete.php");
-        copy(HTML_REALDIR . CAMPAIGN_TEMPLATE_REALDIR . "entry.php", CAMPAIGN_PATH . $file . "/entry.php");
-
-        // デフォルトテンプレート作成(キャンペーン中)
-        $header = $this->lfGetFileContents($default_active_dir."header.tpl");
-        SC_Utils_Ex::sfWriteFile($header, $create_active_dir."header.tpl", "w");
-        $contents = $this->lfGetFileContents($default_active_dir."contents.tpl");
-        if(!$cart_flg) {
-            $contents .= "\n" . '<!--{*ログインフォーム*}-->' . "\n";
-            $contents .= $this->lfGetFileContents(CAMPAIGN_BLOC_PATH . "login.tpl");
-            $contents .= '<!--{*会員登録フォーム*}-->'."\n";
-            $contents .= $this->lfGetFileContents(CAMPAIGN_BLOC_PATH . "entry.tpl");
-        }
-        SC_Utils_Ex::sfWriteFile($contents, $create_active_dir."contents.tpl", "w");
-        $footer = $this->lfGetFileContents($default_active_dir."footer.tpl");
-        SC_Utils_Ex::sfWriteFile($footer, $create_active_dir."footer.tpl", "w");
-
-        // サイトフレーム作成
-        $site_frame  = $header."\n";
-        $site_frame .= '<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>'."\n";
-        $site_frame .= '<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>'."\n";
-        $site_frame .= '<!--{include file=$tpl_mainpage}-->'."\n";
-        $site_frame .= $footer."\n";
-        SC_Utils_Ex::sfWriteFile($site_frame, $create_active_dir."site_frame.tpl", "w");
-
-        /* デフォルトテンプレート作成(キャンペーン終了) */
-        $header = $this->lfGetFileContents($default_end_dir."header.tpl");
-        SC_Utils_Ex::sfWriteFile($header, $create_end_dir."header.tpl", "w");
-        $contents = $this->lfGetFileContents($default_end_dir."contents.tpl");
-        SC_Utils_Ex::sfWriteFile($contents, $create_end_dir."contents.tpl", "w");
-        $footer = $this->lfGetFileContents($default_end_dir."footer.tpl");
-        SC_Utils_Ex::sfWriteFile($footer, $create_end_dir."footer.tpl", "w");
-    }
-    
     /*
      * 関数名：lfGetFileContents()
@@ -385,4 +322,23 @@
         return $contents;
     }
+
+    /**
+     * テンプレート名を返す.
+     */
+    function getTemplateName($device_type_id, $isDefault = false) {
+        switch ($device_type_id) {
+        case DEVICE_TYPE_MOBILE:
+            return $isDefault ? MOBILE_DEFAULT_TEMPLATE_NAME : MOBILE_TEMPLATE_NAME;
+            break;
+
+        case DEVICE_TYPE_SMARTPHONE:
+            return $isDefault ? SMARTPHONE_DEFAULT_TEMPLATE_NAME : SMARTPHONE_TEMPLATE_NAME;
+            break;
+
+        case DEVICE_TYPE_PC:
+        default:
+        }
+        return $isDefault ? DEFAULT_TEMPLATE_NAME : TEMPLATE_NAME;
+    }
 }
 ?>
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Up_Down.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Up_Down.php	(revision 19807)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Up_Down.php	(revision 19966)
@@ -46,12 +46,12 @@
     function init() {
         parent::init();
-	    $this->tpl_mainpage = 'design/up_down.tpl';
-	    $this->tpl_subnavi  = 'design/subnavi.tpl';
-	    $this->tpl_subno    = 'up_down';
-	    $this->tpl_mainno   = "design";
-	    $this->tpl_subtitle = 'テンプレート追加';
-	    $this->arrErr  = array();
-	    $this->arrForm = array();
-	    ini_set("max_execution_time", 300);
+        $this->tpl_mainpage = 'design/up_down.tpl';
+        $this->tpl_subnavi  = 'design/subnavi.tpl';
+        $this->tpl_subno    = 'up_down';
+        $this->tpl_mainno   = "design";
+        $this->tpl_subtitle = 'テンプレート追加';
+        $this->arrErr  = array();
+        $this->arrForm = array();
+        ini_set("max_execution_time", 300);
     }
 
@@ -75,49 +75,57 @@
     function action() {
         // ログインチェック
-		    $objSession = new SC_Session();
-		    SC_Utils::sfIsSuccess($objSession);
-		    $this->now_template = $this->lfGetNowTemplate();
-		    
-		    // uniqidをテンプレートへ埋め込み
-		    $this->uniqid = $objSession->getUniqId();
-		    
-		    switch($this->lfGetMode()) {
-		    
-		    // ダウンロードボタン押下時の処理
-		    case 'download':
-		        break;
-		    // アップロードボタン押下時の処理
-		    case 'upload':
-		        // 画面遷移の正当性チェック
-		        if (!SC_Utils::sfIsValidTransition($objSession)) {
-		            SC_Utils::sfDispError('');
-		        }
-		        // フォームパラメータ初期化
-		        $objForm = $this->lfInitUpload();
-		        // エラーチェック
-		        if ($arrErr = $this->lfValidateUpload($objForm)) {
-		            $this->arrErr  = $arrErr;
-		            $this->arrForm = $objForm->getFormParamList();
-		            break;
-		        }
-		        // アップロードファイル初期化
-		        $objUpFile = $this->lfInitUploadFile($objForm);
-		        // 一時ファイルへ保存
-		        $errMsg = $objUpFile->makeTempFile('template_file', false);
-		        // 書き込みエラーチェック
-		        if(isset($errMsg)) {
-		            $this->arrErr['template_file'] = $errMsg;
-		            $this->arrForm = $objForm->getFormParamList();
-		            break;
-		        }
-		        $this->lfAddTemplates($objForm, $objUpFile);
-		        $this->tpl_onload = "alert('テンプレートファイルをアップロードしました。');";
-		        break;
-		    
-		    // 初回表示
-		    default:
-		        break;
-		    }
-            $this->device_type_id = $device_type_id;
+        $objSession = new SC_Session();
+        SC_Utils::sfIsSuccess($objSession);
+
+        // 端末種別IDを取得
+        if (isset($_REQUEST['device_type_id'])
+            && is_numeric($_REQUEST['device_type_id'])) {
+            $device_type_id = $_REQUEST['device_type_id'];
+        } else {
+            $device_type_id = DEVICE_TYPE_PC;
+        }
+
+
+        // uniqidをテンプレートへ埋め込み
+        $this->uniqid = $objSession->getUniqId();
+
+        switch($this->lfGetMode()) {
+
+            // ダウンロードボタン押下時の処理
+        case 'download':
+            break;
+            // アップロードボタン押下時の処理
+        case 'upload':
+            // 画面遷移の正当性チェック
+            if (!SC_Utils::sfIsValidTransition($objSession)) {
+                SC_Utils::sfDispError('');
+            }
+            // フォームパラメータ初期化
+            $objForm = $this->lfInitUpload();
+            // エラーチェック
+            if ($arrErr = $this->lfValidateUpload($objForm)) {
+                $this->arrErr  = $arrErr;
+                $this->arrForm = $objForm->getFormParamList();
+                break;
+            }
+            // アップロードファイル初期化
+            $objUpFile = $this->lfInitUploadFile($objForm);
+            // 一時ファイルへ保存
+            $errMsg = $objUpFile->makeTempFile('template_file', false);
+            // 書き込みエラーチェック
+            if(isset($errMsg)) {
+                $this->arrErr['template_file'] = $errMsg;
+                $this->arrForm = $objForm->getFormParamList();
+                break;
+            }
+            $this->lfAddTemplates($objForm, $objUpFile, $device_type_id);
+            $this->tpl_onload = "alert('テンプレートファイルをアップロードしました。');";
+            break;
+
+            // 初回表示
+        default:
+            break;
+        }
+        $this->device_type_id = $device_type_id;
     }
 
@@ -131,190 +139,146 @@
     }
 
-	/**
-	 * POSTされるmodeパラメータを取得する.
-	 *
-	 * @param void
-	 * @return string modeパラメータ, 無ければnull
-	 */
-	function lfGetMode(){
-	    if (isset($_POST['mode'])) return $_POST['mode'];
-	}
-	/**
-	 * SC_UploadFileクラスの初期化.
-	 *
-	 * @param object $objForm SC_FormParamのインスタンス
-	 * @return object SC_UploadFileのインスタンス
-	 */
-	function lfInitUploadFile($objForm) {
-	    $pkg_dir = SMARTY_TEMPLATES_REALDIR . $objForm->getValue('template_code');
-	    $objUpFile = new SC_UploadFile(TEMPLATE_TEMP_REALDIR, $pkg_dir);
-	    $objUpFile->addFile("テンプレートファイル", 'template_file', array(), TEMPLATE_SIZE, true, 0, 0, false);
-	
-	    return $objUpFile;
-	}
-	/**
-	 * SC_FormParamクラスの初期化.
-	 *
-	 * @param void
-	 * @return object SC_FormParamのインスタンス
-	 */
-	function lfInitUpload() {
-	    $objForm = new SC_FormParam;
-	
-	    $objForm->addParam("テンプレートコード", "template_code", STEXT_LEN, "KVa", array("EXIST_CHECK","SPTAB_CHECK","MAX_LENGTH_CHECK", "ALNUM_CHECK"));
-	    $objForm->addParam("テンプレート名", "template_name", STEXT_LEN, "KVa", array("EXIST_CHECK","SPTAB_CHECK","MAX_LENGTH_CHECK"));
-	    $objForm->setParam($_POST);
-	
-	    return $objForm;
-	}
-	/**
-	 * uploadモードのパラメータ検証を行う.
-	 *
-	 * @param object $objForm SC_FormParamのインスタンス
-	 * @return array エラー情報を格納した連想配列, エラーが無ければ(多分)nullを返す
-	 */
-	function lfValidateUpload($objForm) {
-	    $arrErr = $objForm->checkError();
-	    if (!empty($arrErr)) {
-	        return $arrErr;
-	    }
-	
-	    $arrForm = $objForm->getHashArray();
-	
-	    // 同名のフォルダが存在する場合はエラー
-	    if(file_exists(USER_TEMPLATE_REALDIR . $arrForm['template_code'])) {
-	        $arrErr['template_code'] = "※ 同名のファイルがすでに存在します。<br/>";
-	    }
-	
-	    // 登録不可の文字列チェック
-	    $arrIgnoreCode = array(
-	        'admin', 'mobile', 'default'
-	    );
-	    if(in_array($arrForm['template_code'], $arrIgnoreCode)) {
-	        $arrErr['template_code'] = "※ このテンプレートコードは使用できません。<br/>";
-	    }
-	
-	    // DBにすでに登録されていないかチェック
-	    $objQuery = new SC_Query();
-	    $ret = $objQuery->count("dtb_templates", "template_code = ?", array($arrForm['template_code']));
-	    if(!empty($ret)) {
-	        $arrErr['template_code'] = "※ すでに登録されているテンプレートコードです。<br/>";
-	    }
-	
-	    // ファイルの拡張子チェック(.tar/tar.gzのみ許可)
-	    $errFlag = true;
-	    $array_ext = explode(".", $_FILES['template_file']['name']);
-	    $ext = $array_ext[ count ( $array_ext ) - 1 ];
-	    $ext = strtolower($ext);
-	    // .tarチェック
-	    if ($ext == 'tar') {
-	        $errFlag = false;
-	    }
-	    $ext = $array_ext[ count ( $array_ext ) - 2 ].".".$ext;
-	    $ext = strtolower($ext);
-	    // .tar.gzチェック
-	    if ($ext== 'tar.gz') {
-	        $errFlag = false;
-	    }
-	
-	    if($errFlag) {
-	        $arrErr['template_file'] = "※ アップロードするテンプレートファイルで許可されている形式は、tar/tar.gzです。<br />";
-	    }
-	
-	    return $arrErr;
-	}
-	/**
-	 * DBおよびTPL_PKG_PATHにテンプレートパッケージを追加する.
-	 *
-	 * @param object $objForm SC_FormParamのインスタンス
-	 * @param object $objUpFile SC_UploadFileのインスタンス
-	 * @return void
-	 */
-	function lfAddTemplates($objForm, $objUpFile) {
-	    $template_code = $objForm->getValue('template_code');
-	    $template_dir = SMARTY_TEMPLATES_REALDIR . $template_code;
-	    $compile_dir  = DATA_REALDIR . "Smarty/templates_c/" . $template_code;
-	    // フォルダ作成
-	    if(!file_exists($template_dir)) {
-	    	mkdir($template_dir);
-	    }
-	    if(!file_exists($compile_dir)) {
-		    mkdir($compile_dir);
-	    }
-	    	    
-	    // 一時フォルダから保存ディレクトリへ移動
-	    $objUpFile->moveTempFile();
-	    
-	    // 解凍
-	    SC_Helper_FileManager::unpackFile($template_dir . "/" . $_FILES['template_file']['name']);
-	    // ユーザデータの下のファイルをコピーする
-        $from_dir = SMARTY_TEMPLATES_REALDIR . $template_code . "/_packages/";	    
-	    $to_dir = USER_REALDIR . "packages/" . $template_code . "/";
-	    SC_Utils::sfMakeDir($to_dir);
+    /**
+     * POSTされるmodeパラメータを取得する.
+     *
+     * @param void
+     * @return string modeパラメータ, 無ければnull
+     */
+    function lfGetMode(){
+        if (isset($_POST['mode'])) return $_POST['mode'];
+    }
+    /**
+     * SC_UploadFileクラスの初期化.
+     *
+     * @param object $objForm SC_FormParamのインスタンス
+     * @return object SC_UploadFileのインスタンス
+     */
+    function lfInitUploadFile($objForm) {
+        $pkg_dir = SMARTY_TEMPLATES_REALDIR . $objForm->getValue('template_code');
+        $objUpFile = new SC_UploadFile(TEMPLATE_TEMP_REALDIR, $pkg_dir);
+        $objUpFile->addFile("テンプレートファイル", 'template_file', array(), TEMPLATE_SIZE, true, 0, 0, false);
+
+        return $objUpFile;
+    }
+    /**
+     * SC_FormParamクラスの初期化.
+     *
+     * @param void
+     * @return object SC_FormParamのインスタンス
+     */
+    function lfInitUpload() {
+        $objForm = new SC_FormParam;
+
+        $objForm->addParam("テンプレートコード", "template_code", STEXT_LEN, "KVa", array("EXIST_CHECK","SPTAB_CHECK","MAX_LENGTH_CHECK", "ALNUM_CHECK"));
+        $objForm->addParam("テンプレート名", "template_name", STEXT_LEN, "KVa", array("EXIST_CHECK","SPTAB_CHECK","MAX_LENGTH_CHECK"));
+        $objForm->setParam($_POST);
+
+        return $objForm;
+    }
+    /**
+     * uploadモードのパラメータ検証を行う.
+     *
+     * @param object $objForm SC_FormParamのインスタンス
+     * @return array エラー情報を格納した連想配列, エラーが無ければ(多分)nullを返す
+     */
+    function lfValidateUpload($objForm) {
+        $arrErr = $objForm->checkError();
+        if (!empty($arrErr)) {
+            return $arrErr;
+        }
+
+        $arrForm = $objForm->getHashArray();
+
+        // 同名のフォルダが存在する場合はエラー
+        if(file_exists(USER_TEMPLATE_REALDIR . $arrForm['template_code'])) {
+            $arrErr['template_code'] = "※ 同名のファイルがすでに存在します。<br/>";
+        }
+
+        // 登録不可の文字列チェック
+        $arrIgnoreCode = array('admin',
+                               MOBILE_DEFAULT_TEMPLATE_NAME,
+                               SMARTPHONE_DEFAULT_TEMPLATE_NAME,
+                               DEFAULT_TEMPLATE_NAME);
+        if(in_array($arrForm['template_code'], $arrIgnoreCode)) {
+            $arrErr['template_code'] = "※ このテンプレートコードは使用できません。<br/>";
+        }
+
+        // DBにすでに登録されていないかチェック
+        $objQuery = new SC_Query();
+        $ret = $objQuery->count("dtb_templates", "template_code = ?", array($arrForm['template_code']));
+        if(!empty($ret)) {
+            $arrErr['template_code'] = "※ すでに登録されているテンプレートコードです。<br/>";
+        }
+
+        // ファイルの拡張子チェック(.tar/tar.gzのみ許可)
+        $errFlag = true;
+        $array_ext = explode(".", $_FILES['template_file']['name']);
+        $ext = $array_ext[ count ( $array_ext ) - 1 ];
+        $ext = strtolower($ext);
+        // .tarチェック
+        if ($ext == 'tar') {
+            $errFlag = false;
+        }
+        $ext = $array_ext[ count ( $array_ext ) - 2 ].".".$ext;
+        $ext = strtolower($ext);
+        // .tar.gzチェック
+        if ($ext== 'tar.gz') {
+            $errFlag = false;
+        }
+
+        if($errFlag) {
+            $arrErr['template_file'] = "※ アップロードするテンプレートファイルで許可されている形式は、tar/tar.gzです。<br />";
+        }
+
+        return $arrErr;
+    }
+    /**
+     * DBおよびTPL_PKG_PATHにテンプレートパッケージを追加する.
+     *
+     * @param object $objForm SC_FormParamのインスタンス
+     * @param object $objUpFile SC_UploadFileのインスタンス
+     * @return void
+     */
+    function lfAddTemplates($objForm, $objUpFile, $device_type_id) {
+        $template_code = $objForm->getValue('template_code');
+        $template_dir = SMARTY_TEMPLATES_REALDIR . $template_code;
+        $compile_dir  = DATA_REALDIR . "Smarty/templates_c/" . $template_code;
+        // フォルダ作成
+        if(!file_exists($template_dir)) {
+            mkdir($template_dir);
+        }
+        if(!file_exists($compile_dir)) {
+            mkdir($compile_dir);
+        }
+
+        // 一時フォルダから保存ディレクトリへ移動
+        $objUpFile->moveTempFile();
+
+        // 解凍
+        SC_Helper_FileManager::unpackFile($template_dir . "/" . $_FILES['template_file']['name']);
+        // ユーザデータの下のファイルをコピーする
+        $from_dir = SMARTY_TEMPLATES_REALDIR . $template_code . "/_packages/";
+        $to_dir = USER_REALDIR . "packages/" . $template_code . "/";
+        SC_Utils::sfMakeDir($to_dir);
         SC_Utils::sfCopyDir($from_dir, $to_dir);
-	    
-	    // DBにテンプレート情報を保存
-	    $this->lfRegisterTemplates($objForm->getHashArray());
-	}
-	
-	/**
-	 * dtb_templatesへ入力内容を登録する.
-	 *
-	 * @param array $arrForm POSTされたパラメータ
-	 * @return void
-	 */
-	function lfRegisterTemplates($arrForm) {
+
+        // DBにテンプレート情報を保存
+        $this->lfRegisterTemplates($objForm->getHashArray(), $device_type_id);
+    }
+
+    /**
+     * dtb_templatesへ入力内容を登録する.
+     *
+     * @param array $arrForm POSTされたパラメータ
+     * @return void
+     */
+    function lfRegisterTemplates($arrForm, $device_type_id) {
         $objQuery = new SC_Query();
         $sqlval = $arrForm;
+        $sqlval['device_type_id'] = $device_type_id;
         $sqlval['create_date'] = "now()";
         $sqlval['update_date'] = "now()";
         $objQuery->insert('dtb_templates', $sqlval);
-	}
-
-	/**
-	 * デザイン管理で作成されたファイルをupload/temp_template/以下にコピーする
-	 *
-	 * @param string $to
-	 * @return void
-	 */
-	function lfCopyUserEdit($to) {
-	    $arrDirs = array(
-	        'css',
-	        'include',
-	        'templates'
-	    );
-	
-	    foreach ($arrDirs as $dir) {
-	        $from = USER_REALDIR .  $dir;
-	        SC_Utils::sfCopyDir($from, $to, '', true);
-	    }
-	}
-	/**
-	 * 現在選択しているテンプレートパッケージをupload/temp_template/以下にコピーする
-	 *
-	 * @param string $to 保存先パス
-	 * @return void
-	 */
-	function lfCopyTplPackage($to) {
-	    $nowTpl = $this->lfGetNowTemplate();
-	    if (!$nowTpl) return;
-	
-	    $from = TPL_PKG_PATH . $nowTpl . '/';
-	    SC_Utils::sfCopyDir($from, $to, '');
-	}
-	/**
-	 * 現在適用しているテンプレートパッケージ名を取得する.
-	 *
-	 * @param void
-	 * @return string テンプレートパッケージ名
-	 */
-	function lfGetNowTemplate() {
-	    $objQuery = new SC_Query();
-	    $arrRet = $objQuery->select('top_tpl', 'dtb_baseinfo');
-	    if (isset($arrRet[0]['top_tpl'])) {
-	        return $arrRet[0]['top_tpl'];
-	    }
-	    return null;
-	}    
+    }
 }
 ?>
Index: /branches/version-2_5-dev/data/mtb_constants_init.php
===================================================================
--- /branches/version-2_5-dev/data/mtb_constants_init.php	(revision 19950)
+++ /branches/version-2_5-dev/data/mtb_constants_init.php	(revision 19966)
@@ -407,6 +407,10 @@
 /** モバイルサイトを利用するか(true:利用する、false:利用しない) (false は一部対応) */
 define('USE_MOBILE', true);
-/** デフォルトテンプレート名 */
+/** デフォルトテンプレート名(PC) */
 define('DEFAULT_TEMPLATE_NAME', "default");
+/** デフォルトテンプレート名(モバイル) */
+define('MOBILE_DEFAULT_TEMPLATE_NAME', "mobile");
+/** デフォルトテンプレート名(スマートフォン) */
+define('SMARTPHONE_DEFAULT_TEMPLATE_NAME', "sphone");
 /** テンプレート名 */
 define('TEMPLATE_NAME', "default");
